package com.smppw.modaq.domain.entity;

import lombok.Data;

import java.util.Date;

@Data
public class CmUserMailboxInfoDO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 机构id
     */
    private Integer orgId;
    /**
     * 邮件类型
     */
    private Integer type;
    /**
     * 邮箱账号
     */
    private String account;
    /**
     * 邮箱密码
     */
    private String password;
    /**
     * 协议
     */
    private String protocol;
    /**
     * 收件服务器
     */
    private String server;
    /**
     * 端口
     */
    private Integer port;
    /**
     * 是否自动创建自建基金：0-否，1-是
     */
    private Integer isAutoCreateFund;
    /**
     * 备注信息
     */
    private String description;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    private Integer isvalid;
    /**
     * 创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer creatorId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    private Date createTime;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer updaterId;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    private Date updateTime;
}